import matplotlib.pyplot as plt

def laptop_single_listener():
    plt.figure()
    x = [1,10,100,1000]
    y1 = [0.00068,0.0047,0.045,00.63]
    y2 = [0.00530,2.1000,7.200,17.00]
    y3 = [0.00210,0.1800,0.860,05.60]

    plt.plot(x, y2, label="Maximum")
    plt.plot(x, y3, label="Average")
    plt.plot(x, y1, label="Minimum")

    plt.legend()
    plt.grid()

    plt.xlabel("Event count")
    plt.ylabel("Time (Laptop)")

    plt.xscale("log")
    plt.yscale("log")

    plt.savefig("performance_results/laptop_single_listener.png")

def laptop_multiple_listeners():
    plt.figure()
    x = [1,10,100,1000]
    y1 = [00.63,00.46,00.42,00.92]
    y2 = [17.00,25.00,20.00,03.24]
    y3 = [05.60,07.60,07.10,01.49]

    plt.plot(x, y2, label="Maximum")
    plt.plot(x, y3, label="Average")
    plt.plot(x, y1, label="Minimum")

    plt.legend()
    plt.grid()

    plt.xlabel("Listener count")
    plt.ylabel("Time (Laptop)")

    plt.xscale("log")
    plt.yscale("log")

    plt.savefig("performance_results/laptop_multiple_listeners.png")

if __name__ == "__main__":
    laptop_single_listener()
    laptop_multiple_listeners()
